Skip to main content
POST
/
v1
/
authorizations
Creates an authorization
curl --request POST \
  --url https://api.rootly.com/v1/authorizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "authorizations",
    "attributes": {
      "authorizable_id": "<string>",
      "authorizable_type": "Dashboard",
      "grantee_id": "<string>",
      "grantee_type": "User",
      "permissions": [
        "read"
      ]
    }
  }
}
'
{
  "data": {
    "id": "ff471466-d3e4-4d2f-a049-1932ad7066ba",
    "type": "authorizations",
    "attributes": {
      "authorizable_id": "fc25a77d-328f-47aa-8f3b-5754c9747325",
      "authorizable_type": "Dashboard",
      "grantee_id": "104",
      "grantee_type": "User",
      "permissions": [
        "read"
      ],
      "updated_at": "2026-01-21T11:16:19.225-08:00",
      "created_at": "2026-01-21T11:16:19.225-08:00"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

authorization created

data
object
required